#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_cryptography.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

tde_create_translated_desktop(
  SOURCE kopete_cryptography_config.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog
  PO_DIR kopete-desktops
)

install( FILES cryptographyui.rc cryptographychatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_cryptography )


##### kopete_cryptography (module) ##############

tde_add_kpart( kopete_cryptography AUTOMOC
  SOURCES
    cryptographyplugin.cpp kgpginterface.cpp
    cryptographyguiclient.cpp cryptographyselectuserkey.cpp
    cryptographyuserkey_ui.ui popuppublic.cpp kgpgselkey.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_cryptography (module) ##########

tde_add_kpart( kcm_kopete_cryptography AUTOMOC
  SOURCES
    cryptographypreferences.cpp cryptographyprefsbase.ui
    kgpgselkey.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
